[ANNOUNCEMENT] Updated: rcs-5.9.2

Achim Gratz Stromeko@nexgo.de
Thu Jul 3 18:01:00 GMT 2014


This release brings RCS to version 5.9.2 for both architectures and
includes a patch for the RCS work file corruption problem that has been
discussed on the Cygwin mailing list and reported to rcs-bugs:

http://article.gmane.org/gmane.comp.version-control.rcs.bugs/2772

Thanks to Don Hatch for a demonstrator script and Peter Wagemans for an
analysis of the failure mode.

I'm taking over on request from Dr. Volker Zell, the previous
maintainer.  Thank you, Volker.


--8<---------------cut here---------------start------------->8---
NEWS for GNU RCS (Revision Control System)

- 5.9.2 | 2013-11-28

  - bugfixes

    - avoid possibly failing command in backticks

      Some versions of Solaris /bin/sh would cause the extract-help
      build script to exit failurefully when the grep command in the
      backticks failed (in the presence of "set -e").  Sigh.

    - handle low-memory situations like RCS 5.7 (mostly)

      For reading comma-v files, RCS 5.7 tries mmap(2), in-core
      snarfing, and stdio access, falling back to slower methods
      on failure of the faster method.  RCS 5.8 maintained the order,
      but did not fall back; on failure, it gave up immediately.
      This change was originally viewed as a feature, but lately it
      seemed more like a bug.

      Now, RCS 5.7 behavior is for the most part restored.  The
      exception is when env var ‘RCS_MEM_LIMIT’ is set; in that case,
      failure of a fast method does not fall back to the slower one.

  - default for env var ‘RCS_MEM_LIMIT’ relaxed

    This used to be 256 kilobytes, a reasonable value a long time
    ago, but ridiculously low nowadays.  Now, it is "unlimited",
    which is more in line w/ the GNU philosophy, anyway:

     (info "(standards) Semantics")

    Since the env var is mostly intended for testing RCS, you can
    normally leave it unset.  (Probably it will be removed in a
    future release.)

  - maintenance tools updated
    - automake (GNU automake) 1.14
    - gnulib-tool (GNU gnulib 2013-11-28 08:46:06) 0.1.21-37f8a


- 5.9.1 | 2013-10-04

  - bugfixes

    - specify ‘diff --binary’ consistently for non-POSIX systems

      On non-POSIX systems, in some cases, ‘rcs frob’ used to omit
      ‘--binary’ from the command-line to the underlying diff(1).
      Now, that is done in all cases.

    - portability fixes

      - avoid ‘grep -q’

        GNU grep understands ‘grep -q’ but some others do not.

         (info "(autoconf) Limitations of Usual Tools")

      - avoid ‘$<’ in makefile

        GNU make understands ‘$<’ but some others do not.

         (info "(autoconf) $< in Ordinary Make Rules")

      - avoid backslash in backticks

        The /bin/sh scripts used in "make" and "make check" now avoid
        using a backslash in backticks, which can cause problems for
        Solaris 9 /bin/sh (and maybe other /bin/sh implementations).

  - ‘PROGRAM --help’ shows home page / "gethelp" info

    This is for compliance w/ the GNU coding standards.

     (info "(standards) --help")

  - maintenance tools updated
    - automake (GNU automake) 1.13.4
    - gnulib-tool (GNU gnulib 2013-10-03 04:59:38) 0.0.8036-28df8


- 5.9.0 | 2013-05-06

  - distribution now .tar.lz and .tar.xz

    If you have GNU tar, you can use "tar xf" and it will DTRT.
    If not, you can use "lzip -dc TARBALL | tar xf -" to unpack
    the .tar.lz, or "xz -dc TARBALL | tar xf -" for the .tar.xz.

  - planned retirement

    - configure option ‘--enable-compat2’

      This option enables reading of files written by RCS 2.x (before
      RCS was GNU, even), but the file format became obsolete in 1982.
      Support for it WILL BE REMOVED in a near future GNU RCS release.

    - common option ‘-V’

      This option is obsoleted by ‘--version’ (since 5.8, 2011-08-30).
      Support for it WILL BE REMOVED in some future GNU RCS release.
      Its use now produces a warning to stderr.

      Please note that ‘-VN’ (N ∈ {3,4,5}) is a separate issue.

  - bugs fixed

    - ‘rcsmerge --help’ mentions ‘-A’, ‘-E’, ‘-e’

      These options are accepted and internally passed to diff3(1).

    - ‘ident -VN’ and ‘merge -VN’ now signal error

      For these commands, the argument to ‘-V’ has no meaning.
      Previously, such invocations would display version info,
      ignoring the arg.  Now they signal a "bad option" error.

  - new features

    - ident(1) recognizes Subversion "fixed-width keyword syntax"

      In addition to the normal keyword pattern, for Subversion 1.2
      (and later) compatibility, ident(1) also recognizes patterns
      having one of the forms:

      $KEYWORD:: TEXT $
      ;; two colons and space after keyword
      ;; space before ending $

      $KEYWORD:: TEXT#$
      ;; two colons and space after keyword
      ;; hash before ending $

    - new co(1) option ‘-S’ for "self-same" mode

      In this mode, the owner of a lock is unimportant, just that it
      exists.  Effectively, this prevents you from checking out the
      same revision twice.

      $ whoami
        ttn

      $ co -l -f z
        RCS/z,v  -->  z
        revision 1.1 (locked)
        done

      $ co -S -l -f z
        RCS/z,v  -->  z
        co: RCS/z,v: Revision 1.1 is already locked by ttn.

    - several RCS commands "internalized" into rcs(1)

      As part of an ongoing effort to modernize the command-line
      interface of GNU RCS, the previously standalone programs:

        ci, co, rcs, rcsclean, rcsdiff, rcsmerge, rlog

      can now be invoked as "rcs PROGRAM".  In this case, we call
      PROGRAM a "command", and also provide some aliases.  E.g., you
      can type "rcs diff" in addition to "rcs rcsdiff" (and "rcsdiff",
      of course).  We plan to support standalone (w/o "rcs" prefix)
      invocation from the shell at least through the 5.x series of
      releases -- not indefinitely, but for a good while, yet.

      The rcs(1) program itself now supports ‘--commands’ to list all
      the commands, ‘--aliases’ to list their aliases, as well as
      ‘--help COMAMND’ to show the help for COMMAND.

      Note that programs ident(1) and merge(1) remain standalone.

      Lastly, in the manual, section "Invoking rcs" now describes both
      "modern" and "legacy" usages.  Also, the internalized commands
      invocations mentions both "rcs COMMAND" and "PROGRAM" styles.

    - ‘--help’ output includes a one-line description

      E.g., "merge --help" says: "Three-way file merge".

    - most long options can be recognized if partially specified

      With the exception of "rcs --help COMMAND", where "--help" must
      be spelled out in full, all long options can now be recognized
      even if partially specified.  For example, "rcs --al" is
      recognized as "rcs --aliases".

    - updated portability

      Several more Gnulib (http://www.gnu.org/software/gnulib) modules
      are now in use.

    - new cross-compilation support

      The configure script now assigns "pessimistic defaults" when
      cross-compiling.  See new section "cross-compilation" in README.

    - effects of ‘-VN’ (N ∈ {3,4,5}) documented

      See (info "(rcs) Misc common options").

  - maintenance tools updated
    - gnulib-tool (GNU gnulib 2013-05-01 06:14:19) 0.0.7913-5191

--8<---------------cut here---------------end--------------->8---


Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

SD adaptation for Waldorf rackAttack V1.04R1:
http://Synth.Stromeko.net/Downloads.html#WaldorfSDada

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list